INTEL_FB_OBJ_FLUSH(9)

NAME
intel_fb_obj_flush - flush frontbuffer object

SYNOPSIS

void intel_fb_obj_flush(struct drm_i915_gem_object * obj, bool retire);

ARGUMENTS

obj
    GEM object to flush

retire
    set when retiring asynchronous rendering

DESCRIPTION

This function gets called every time rendering on the given object has completed and frontbuffer caching can be started again. If retire is true then any delayed flushes will be unblocked.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT